package io.zipcoder.polymorphism;
import org.junit.Assert;
import org.junit.Test;

public class BirdTest {

    @Test
    /**
     * Tests the getName and setName methods
     */
    public void setGetNameTest(){
        // Given
        Bird bird = new Bird();
        bird.setName("anyname");
        String expected = "anyname";

        // When
        String actual = bird.getName();

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    /**
     * Tests default constructor
     */
    public void defaultConstructor(){
        // Given
        Bird bird = new Bird();
        String expected = "default";

        // When
        String actual = bird.getName();

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    /**
     * Tests the speak method
     */
    public void speakTest(){
        // Given
        Bird bird = new Bird();
        bird.setName("anyname");
        bird.speak();
        String expected = "Hi, I'm an object called bird who's named: anyname";
        // When
        String actual = bird.speak();

        // Then
        Assert.assertEquals(expected, actual);
    }
}
