package io.zipcoder.polymorphism;
import org.junit.Assert;
import org.junit.Test;

public class DogTest {

    @Test
    /**
     * Tests the getName and setName methods
     */
    public void setGetNameTest(){
        // Given
        Dog dog = new Dog();
        dog.setName("anyname");
        String expected = "anyname";

        // When
        String actual = dog.getName();

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    /**
     * Tests default constructor
     */
    public void defaultConstructor(){
        // Given
        Dog dog = new Dog();
        String expected = "default";

        // When
        String actual = dog.getName();

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    /**
     * Tests the speak method
     */
    public void speakTest(){
        // Given
        Dog dog = new Dog();
        dog.setName("anyname");
        dog.speak();
        String expected = "Hi, I'm an object called dog who's named: anyname";
        // When
        String actual = dog.speak();

        // Then
        Assert.assertEquals(expected, actual);
    }
}
